This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279370 - PXE-less image does not report primary MAC correctly
PXE-less image does not report primary MAC correctly
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
http://projects.theforeman.org/issues...
:
Depends On: 1286053
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 05:10 EST by Sachin Ghai
Modified: 2017-02-23 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:13:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webui screenshot with error: address family must be specified (43.26 KB, image/png)
2015-11-09 05:10 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12420 None None None 2016-04-22 12:21 EDT

  None (edit)
Description Sachin Ghai 2015-11-09 05:10:23 EST
Created attachment 1091686 [details]
webui screenshot with error: address family must be specified

Description of problem:
On refreshing the facts of unattended pxe-less (without dhcp) host raises following error:

--
2015-11-09 03:48:04 [W] Operation FAILED: Could not get facts from proxy https://cloud-qe-17.idmqe.lab.eng.bos.redhat.com:9090/discovery/192.168.110.109: address family must be specified
2015-11-09 03:48:04 [I]   Rendered common/500.html.erb within layouts/application (5.3ms)
2015-11-09 03:48:04 [I]   Rendered layouts/base.html.erb (1.0ms)
2015-11-09 03:48:04 [I] Completed 500 Internal Server Error in 4126ms (Views: 9.3ms | ActiveRecord: 1188.0ms)
---

Remastered ISO was created as below:

 ./discovery_remaster fdi-bootable-3.0.4.iso "fdi.pxip=192.168.110.109/24 fdi.pxmac=52:54:00:be:8e:8c fdi.pxgw=192.168.110.1 fdi.pxdns=192.168.110.1 proxy.url=https://192.168.110.1:9090 proxy.type=proxy fdi.pxfactname1=myfact fdi.pxfactvalue1=somevalue  fdi.pxauto=1"


Please note that we did not enable the auto-provisioning and as soon as host is discovered with remastered ISO, I tried to add a new interface and just clicked on 'refresh facts'.

Looks like when we add a new interface, bootif interface auto changed to newly added interface. It mean we set the  fdi.pxmac=52:54:00:be:8e:8c and on add new interface with mac=52:54:00:d5:78:99, the bootif set to  discovery_bootif => 52:54:00:d5:78:99


Version-Release number of selected component (if applicable):
Satellite6.1.4 compose3

How reproducible:
always

Steps to Reproduce:
1. discover a host unattended pxe-less host
2. add a new interface in host
3. refresh facts from discovered_Host page

Actual results:
 Operation FAILED: Could not get facts from proxy https://cloud-qe-17.idmqe.lab.eng.bos.redhat.com:9090/discovery/192.168.110.109: address family must be specified

Expected results:
refresh facts should be successful

Additional info:
Comment 1 Sachin Ghai 2015-11-09 05:11:51 EST
proxy.logs:

10.16.96.100 - - [09/Nov/2015 04:33:08] "GET /discovery/192.168.110.109/inventory/facter HTTP/1.1" 200 3538 2.4335
Comment 2 Lukas Zapletal 2015-11-09 05:17:46 EST
The root cause is our discovery_bootif fact which only accepts BOOTIF option, but we should also use fdi.pxmac when BOOTIF is not present.
Comment 4 Lukas Zapletal 2015-11-11 03:36:45 EST
This is a blocker too.
Comment 5 Lukas Zapletal 2015-11-11 09:42:27 EST
Merged as 47d3d43, I will rebase the image later today.
Comment 9 Sachin Ghai 2015-12-07 04:59:45 EST
Verified with Sat 6.1.5 compose3(Satellite-6.1.0-RHEL-7-20151204.0)

rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el6_6sat.noarch
rubygem-smart_proxy_discovery-1.0.3-2.el6.noarch
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el6_6sat.noarch
foreman-discovery-image-3.0.5-3.el7sat.noarch


Reported issue is not reproducible and pxe-less image correctly reports the primary mac.
Comment 10 Bryan Kearney 2015-12-15 08:13:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.